
#ifndef _INT64_T
#define _INT64_T
typedef	long long		int64_t;
#endif /* _INT64_T */

/**
 handle 给android使用参数
 int sr   频率
 int ch  声道数
 void *data  pcm数据开始地址
 int data_len    pcm数据长度
 int *mute   是否静音(保留字段)
 int64_t 歌词时间戳
 */
typedef void(*ijk_pcm_callback)(void *handle,int sr, int ch, void *data, int data_len,int *mute,int64_t extrats);
/**
 开启音频数据回调
 @param mp IjkMediaPlayer
 @param is_open_pcm_callback 是否打开音频回调
 @param is_auto_play_pcm ijk是否依旧渲染回调
 @param pcm_callback_handle pcmhandle
 @param callback 回调函数
 @return 0成功，others失败
 */
//int ijk_js_switch_pcm_callback(IjkMediaPlayer *mp,bool is_open_pcm_callback,void *handle,ijk_pcm_callback callback);
int ijk_js_switch_pcm_callback(void *mp,bool is_open_pcm_callback,void *handle,ijk_pcm_callback callback);
