#extension GL_OES_EGL_image_external : require
precision mediump float;
varying vec2 textureCoordinate;
uniform sampler2D inputTexture;
//修改这个值，可以控制曝光的程度
uniform float uAdditionalColor;
void main()
{
vec4 color = texture2D(inputTexture,textureCoordinate.xy);
if(uAdditionalColor < 0.24){
    gl_FragColor = vec4(color.r+0.307,color.g,color.b+0.059,color.a);
}else if(uAdditionalColor < 0.49){
    gl_FragColor = vec4(color.r,color.g+0.212,color.b+0.386,color.a);
}else if(uAdditionalColor < 0.75){
     gl_FragColor = vec4(color.r+0.029,color.g,color.b+0.324,color.a);
}else{
    gl_FragColor = vec4(color.r+0.351,color.g+0.378,color.b,color.a);
}

}